> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve A User Form

> Retrieves a user form object.




## OpenAPI

````yaml get /v2/user-forms/{id}
openapi: 3.0.0
info:
  title: User Forms API
  version: 1.0.0
  description: >-
    API for managing user form submissions. User forms are response forms (see
    <a href="/workflows/account-connections#search">Step 4</a>) that users can
    submit as a fallback when they cannot find their employer or payroll
    provider.
servers: []
security:
  - basicAuth: []
paths:
  /v2/user-forms/{id}:
    get:
      summary: Retrieve a user form
      description: Retrieves a user form object.
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: ID of the user form object to be retrieved.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForm'
              example:
                id: 0186ef31-4a6c-bc77-ffb7-a9db11505d7d
                account: 0182c1e2-59ec-16ba-34e2-4f20594a7df7
                data:
                  income_source: Block & Fish Tackle
                  payroll_provider: Payroll Corp.
                created_at: '2023-03-17T10:50:30.414265Z'
                updated_at: '2023-03-17T10:50:31.621908Z'
components:
  schemas:
    UserForm:
      type: object
      example:
        id: 0186ef31-4a6c-bc77-ffb7-a9db11505d7d
        account: 0182c1e2-59ec-16ba-34e2-4f20594a7df7
        data:
          income_source: Block & Fish Tackle
          payroll_provider: Payroll Corp.
        created_at: '2023-03-17T10:50:30.414Z'
        updated_at: '2023-03-17T10:50:31.621Z'
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the user form.
        account:
          type: string
          format: uuid
          description: ID of the account associated with the user form.
        data:
          type: object
          properties:
            income_source:
              type: string
              description: User response entered into the `Income source` input field.
              example: Block & Fish Tackle
            payroll_provider:
              type: string
              description: >-
                User response entered into the `Payroll provider (optional)`
                input field.
              example: Payroll Corp.
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the user form was submitted.
        updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the user form object was last updated.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````